Kali:the following signatures were invalid FIX

A quick fix for the “the following signatures were invalid” error on Kali Linux when running apt-get update.

If you ever get a “The following signatures were invalid” error on your Kali Linux when trying to run apt-get update, I got a quick fix for you.

This is a kali-archive-keyring related issue which means you need to import your key into your apt-key ring manually.

You can inspect your apt keyring with the command:

apt-key list

 

Now to resolve the error you simply need to re-import your key:

apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys 7D8D0BF6
The following signatures were invalid Kali
Fixing the issue.

This should resolve your issue and should enable you to run apt-get update && apt-get dist-upgrade again.

Happy Hacking

Leave a Reply